Package org.eclipse.m2m.atl.emftvm.trace

# Interface SourceElementList

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SourceElementListImpl`

public interface SourceElementList extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Source Element List'.

See Also:
  - `TracePackage.getSourceElementList()`

## Method Summary

Modifier and Type
Method
Description
`TraceLinkSet`
`getDefaultFor()`
Returns the value of the 'Default For' container reference.
`org.eclipse.emf.common.util.EList<SourceElement>`
`getSourceElements()`
Returns the value of the 'Source Elements' reference list.
`org.eclipse.emf.common.util.EList<Object>`
`getSourceObjects()`
`TracedRule`
`getUniqueFor()`
Returns the value of the 'Unique For' container reference.
`void`
`setDefaultFor(TraceLinkSet value)`
Sets the value of the '`Default For`' container reference.
`void`
`setUniqueFor(TracedRule value)`
Sets the value of the '`Unique For`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getSourceElements

org.eclipse.emf.common.util.EList<SourceElement> getSourceElements()
Returns the value of the 'Source Elements' reference list. The list contents are of type `SourceElement`.

If the meaning of the 'Source Elements' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source Elements' reference list.
See Also:
  - `TracePackage.getSourceElementList_SourceElements()`

### getDefaultFor

TraceLinkSet getDefaultFor()
Returns the value of the 'Default For' container reference. It is bidirectional and its opposite is '`Default Source Element Lists`'.

If the meaning of the 'Default For' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default For' container reference.
See Also:
  - `setDefaultFor(TraceLinkSet)`
  - `TracePackage.getSourceElementList_DefaultFor()`
  - `TraceLinkSet.getDefaultSourceElementLists()`

### setDefaultFor

void setDefaultFor(TraceLinkSet value)
Sets the value of the '`Default For`' container reference.

Parameters:
  `value` - the new value of the 'Default For' container reference.
See Also:
  - `getDefaultFor()`

### getUniqueFor

TracedRule getUniqueFor()
Returns the value of the 'Unique For' container reference. It is bidirectional and its opposite is '`Unique Source Element Lists`'.

If the meaning of the 'Unique For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Unique For' container reference.
See Also:
  - `setUniqueFor(TracedRule)`
  - `TracePackage.getSourceElementList_UniqueFor()`
  - `TracedRule.getUniqueSourceElementLists()`

### setUniqueFor

void setUniqueFor(TracedRule value)
Sets the value of the '`Unique For`' container reference.

Parameters:
  `value` - the new value of the 'Unique For' container reference.
See Also:
  - `getUniqueFor()`

### getSourceObjects

org.eclipse.emf.common.util.EList<Object> getSourceObjects()